body {
    background-image: url("./background.png");
    background-repeat: no-repeat;
    background-size: cover;
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 400;
}
.container{
    margin: 0 auto;
}
.head-panel {
    height: 58px;
    background: rgba(0, 0, 0, 0.4);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.head-logo{
    display: inline-block;
    color: white;
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 700;
    font-size: 22px;
    line-height: 22px;
    margin-left: 79px;
    transition: 0.3s;
}
.head-logo:hover{
    color: #01813F;
    cursor: pointer;
}
.head-links {
    margin-right: 79px;
    display: flex;
    align-items: center;
}
.head-link-calendar{
    display: inline-block;
    width: 21px;
    height: 24px;
    margin-right: 27px;
}
.head-link-calendar path{
    transition: fill 0.3s ease;
}
.head-link-calendar:hover path{
    fill: #01813F;
}
.head-link-envelop{
    display: inline-block;
    width: 23px;
    height: 23px;
    margin-right: 24px;
}
.head-link-envelop path{
    transition: fill 0.3s ease;
}
.head-link-envelop:hover path{
    fill: #01813F;
}
.head-link-compass{
    display: inline-block;
    width: 23px;
    height: 23.25px;
    margin-right: 25px;
}
.head-link-compass path{
    transition: fill 0.3s ease;
}
.head-link-compass:hover path{
    fill: #01813F;
}
.head-separator {
    width: 1px;
    height: 19px;
    margin-right: 27px;
    background-color: white;
    display: inline-block;
}
.head-welcome-links {
    color: white;
    font-size: 14px;
    line-height: 14px;
    transition: 0.3s;
}
.head-welcome-links a:hover{
    color: #01813F;
}
.head-welcome-links a{
    text-decoration: none;
    color: white;
}
.signup-form-container {
    display: flex;
    justify-content: center;
}
.signup-form {
    display: block;
    width: 444px;
    height: 584px;
    background-color: white;
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
}
.square {
    height: 18px;
    width: 18px;
    background-color: #3CB878;
    position: absolute;
    top: 29px;
}
.form-container {
    margin: 31px 60px 38px 60px;
    width: 324px;
    height: 515px;
    position: absolute;
}
.form-head-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.form-header {
    font-size: 20px;
    line-height: 20px;
    color: #434343;
}
.form-login-link{
    font-size: 14px;
    line-height: 14px;
    color: #3CB878;
    text-decoration: none;
}
.form-login-link:hover{
    color: #01813F;
    text-decoration: underline;
}
.social-container {
    display: flex;
    justify-content: space-between;
    margin-top: 15px;
}
.facebook-button {
    cursor: pointer;
    width: 157px;
    height: 48px;
    background-color: #305DB8;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: 0.3s;
}
.facebook-button:hover{
    background-color: #022263;
}
.facebook-button img {
    width: 12px;
    height: 24px;
    margin-left: 16px;
}
.facebook-button .social-button-label {
    margin-right: 27px;
}
.google-button {
    cursor: pointer;
    width: 157px;
    height: 48px;
    background-color: #DF4A32;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: 0.3s;
}
.google-button:hover{
    background-color :#AB1F09;
}
.google-button img{
    width: 30px;
    height: 19px;
    margin-left: 12px;
}
.google-button .social-button-label {
    margin-right: 27px;
}
.social-separator {
    display: inline-block;
    width: 1px;
    height: 28px;
    background-color: #2B0D09;
    opacity: 0.1;
}
.google-button .social-separator {
    margin-left: -22px;
}
.facebook-button .social-separator {
    margin-left: -8px;
}
.social-button-label{
    color: white;
    font-size: 16px;
    line-height: 16px;
}
.form-separator-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 21px 0 12px 0;
}
.separator-line{
    display: inline-block;
    height: 1px;
    width: 152px;
    background-color: #F2F2F2;
}
.separator-label {
    display: inline-block;
    font-size: 14px;
    line-height: 14px;
    color: #848484;
}
.form-text-input {
    width: 300px;
    height: 44px;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    margin-bottom: 13px;
    padding-left: 20px;
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 14px;
}
.form-text-input:last-of-type {
    margin-bottom: 12px;
}
.form-text-input:focus {
    background: #FFFFFF;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
    border-radius: 4px;
    border: 1px solid #F2F2F2;
    outline: none;
}
.form-text-input::placeholder {
    font-size: 14px;
    line-height: 14px;
    color: #BEBEBE;
}
.form-agreement input {
    display: none;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}
.form-agreement {
    font-size: 14px;
    line-height: 14px;
    color: #434343;
    margin-bottom: 20px;
    display: inline-block;
}
.form-agreement .checkmark {
    display: inline-block;
    height: 20px;
    width: 20px;
    border: 1px solid #F2F2F2;
}
.form-agreement .checkmark:after {
    content: "";
    display: none;
}
.form-agreement input:checked ~ .checkmark:after {
    display: block;
    margin: 3px 0 0 7px;
}
.form-agreement .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid #3CB878;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}
.form-agreement a {
    text-decoration: none;
    color: #3CB878;
    transition: 0.3s;
}
.form-agreement a:hover {
    text-decoration: underline;
    color: #01813F;
}
.agreement-text {
    vertical-align: super;
}
.submit-button {
    border: none;
    outline: inherit;
    width: 100%;
    height: 46px;
    background: rgba(60, 184, 120, 0.8);
    border-radius: 4px;
    font-size: 16px;
    line-height: 16px;
    color: white;
    transition: 0.3s;
}
.submit-button:hover {
    background-color: #01813F;
    cursor: pointer;
}
